Ferramentas de Texto e Lista
Limpe, compare e meça conteúdo sem enviar dados de trabalho.
Centralizar linhas de texto
Centralize cada linha dentro de uma largura exata em caracteres Unicode, preservando as linhas em branco e rejeitando truncamento destrutivo.
Abrir ferramenta →Remover prefixo das palavras
Remova um fragmento inicial exato de palavras Unicode correspondentes e deixe a pontuação, o espaçamento e as palavras que não correspondem inalterados.
Abrir ferramenta →Remover sufixo das palavras
Remova exatamente uma terminação correspondente de palavras Unicode, sem achatar separadores nem modificar palavras que não contenham esse sufixo.
Abrir ferramenta →Inserir separador entre caracteres
Coloque um separador escolhido entre pontos de código Unicode sem dividir pares substitutos, como emojis, em metades inválidas.
Abrir ferramenta →Citar cada linha de texto
Envolva cada linha em aspas duplas, aspas simples ou crases, preservando as linhas vazias e a ordem original das linhas.
Abrir ferramenta →Remover aspas das linhas de texto
Remova um par de aspas externas equilibradas de cada linha usando correspondência automática ou explícita de estilo de aspas.
Abrir ferramenta →Cite Cada Palavra
Envolva cada token de palavra Unicode com um caractere de aspas selecionado, mantendo as vírgulas, a pontuação e o espaçamento original.
Abrir ferramenta →Remover aspas de palavras
Desembrulhe individualmente as palavras Unicode entre aspas quando ambos os sinais de aspas coincidirem, sem apagar aspas não relacionadas do texto em prosa.
Abrir ferramenta →Normalizar linhas em branco
Limite linhas em branco consecutivas a um máximo exato, preservando a indentação e todas as linhas não vazias.
Abrir ferramenta →Converter espaços em novas linhas
Transforme cada token separado por espaço em uma linha e colapse repetidamente espaços, tabulações e quebras de linha existentes de forma determinística.
Abrir ferramenta →Converter quebras de linha em um separador
Una líneas de texto no vacías con un separador configurable mientras se recorta solo el espacio en blanco exterior de cada fila.
Abrir ferramenta →Analisador de Frequência de Palavras
Classifique as palavras Unicode por contagem de ocorrências com comprimento mínimo ajustável, limite de resultados e comparação sensível a maiúsculas e minúsculas.
Abrir ferramenta →Ordenar Letras Dentro das Palavras
Classifique letras e números Unicode dentro de cada palavra de forma independente, sem mover a pontuação nem as próprias palavras.
Abrir ferramenta →Classificar todos os caracteres de texto
Ordenar todos os pontos de código Unicode em toda a entrada com remoção opcional de espaços em branco e direção explícita ascendente ou descendente.
Abrir ferramenta →Número Texto Frases
Coloque cada frase detectada na sua própria linha numerada, com um valor inicial configurável e três estilos de marcador legíveis.
Abrir ferramenta →Número de textos, parágrafos
Numere os parágrafos separados por linha em branco, mantendo as quebras de linha internas e a formatação de cada parágrafo.
Abrir ferramenta →Localizador de frases duplicadas
Liste frases completas repetidas com contagens usando comparação explícita sensível ou não sensível a maiúsculas e minúsculas.
Abrir ferramenta →Extrator de Frases Únicas
Mantenha a primeira ocorrência de cada frase completa e remova as duplicatas posteriores sob uma regra de maiúsculas e minúsculas selecionável.
Abrir ferramenta →Codificador e Decodificador de Texto Base32
Converta texto UTF-8 para Base32 canônico RFC 4648 ou decodifique rigorosamente um valor Base32 com ou sem preenchimento.
Abrir ferramenta →Codificador e Decodificador de Texto Base32hex
Codifique e decodifique UTF-8 com o alfabeto Base32 hexadecimal estendido definido pela seção 7 da RFC 4648.
Abrir ferramenta →Codificador e Decodificador de Texto Base45
Transforme texto UTF-8 com o alfabeto Base45 compacto da RFC 9285 usado por formatos de dados orientados para QR.
Abrir ferramenta →Codificador e Decodificador de Texto Bitcoin Base58
Converta bytes UTF-8 com o alfabeto Base58 do Bitcoin, preservando exatamente os bytes zero à esquerda.
Abrir ferramenta →Codificador e Decodificador de Texto Ascii85
Codifique UTF-8 em grupos Ascii85 de cinco caracteres ou decodifique dados estritos compatíveis com Adobe com delimitadores opcionais e compressão z.
Abrir ferramenta →Codificador e Decodificador de Texto Quoted-Printable
Codifique texto em estilo de e-mail UTF-8 como quoted-printable RFC 2045 ou decodifique escapes validados em maiúsculas e quebras de linha normalizadas pelo navegador.
Abrir ferramenta →Não há ferramentas correspondentes nesta página.